Name: vpnd
Summary: The virtual private network daemon vpnd is a daemon which connects two networks on network level either via TCP/IP or a (virtual) leased line attached to a serial interface. All data transfered between the two networks are encrypted using the unpatented free Blowfish encryption algorithm.
Version: 1.1.0
Release: 1mdk
Source0: vpnd-1.1.0.tar.bz2
Source1: vpnd.init
Group: security/vpn
URL: http://sunsite.auc.dk/vpnd/
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL/LGPL
Prefix: /usr

%description

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q  -n vpnd

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix}
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" make -j 2

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/vpnd
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 700 -s -o root -g root vpnd $RPM_BUILD_ROOT/usr/sbin
install -m 644 -o root -g root vpnd.conf $RPM_BUILD_ROOT/etc/vpnd
install -m 644 -o root -g root vpnd.chat $RPM_BUILD_ROOT/etc/vpnd
install -m 755 -o root -g root $RPM_SOURCE_DIR/vpnd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/vpnd

#These lines are only needed for systems without /dev/random
#mkdir -p $RPM_BUILD_ROOT/dev
#install -m 644 -s -o root -g root randomd $RPM_BUILD_ROOT/dev
#cd $RPM_BUILD_ROOT/dev
#ln -s ./randomd ./random

if [ -d $RPM_BUILD_ROOT/usr/man ]; then
  find $RPM_BUILD_ROOT/usr/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/info ]; then
  find $RPM_BUILD_ROOT/usr/info -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/X11R6/man ]; then
  find $RPM_BUILD_ROOT/usr/X11R6/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/lib/perl5/man ]; then
  find $RPM_BUILD_ROOT/usr/lib/perl5/man -type f -exec bzip2 -9f {} \;
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /etc/vpnd/`hostname -s`_3001.conf ]; then
cp /etc/vpnd/vpnd.conf /etc/vpnd/`hostname -s`_3001.conf;
fi
chkconfig --add vpnd 

%preun
if [ ! -f /etc/vpnd/vpnd.conf ]; then
touch /etc/vpnd/vpnd.conf;
fi
chkconfig --del vpnd

%files 
%defattr(-,root,root,0755)
%doc FAQ.TXT VERSIONS SPEED.TXT README dynamic-ip-client samples
%config /etc/vpnd/vpnd.chat
%config /etc/vpnd/vpnd.conf
%config /etc/rc.d/init.d/vpnd
/usr/sbin/vpnd

%changelog
* Mon Jan 10 2000 Sean P. Kane <kane@ca.metsci.com>
- Upgraded to version 1.1.0

* Fri Nov 05 1999 Sean P. Kane <kane@ca.metsci.com>
- Upgraded to the CVS release downloaded on Nov. 4, 1999.
- Moved conf files to /etc/vpnd
- Added support for an initscript

* Tue Oct 05 1999 Sean P. Kane <kane@ca.metsci.com>
- Created first VPND RPM - version 1.0.8 - for Mandrake

* Fri Aug 06 1999 Stefan Siegel <siegel@informatik.uni-kl.de>
- Added "config" tag for files containing /etc or /config
- Added compression for perl- and localized man-pages

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
